# Configuration

As Firework custom elements are configured using HTML attributes, Player related attributes will affect Video Player behavior

<table><thead><tr><th width="210">Name</th><th width="399">Description</th><th>Default Value</th></tr></thead><tbody><tr><td><code>hide_show_detail</code></td><td>Hides the show detailed button on the product detail page</td><td><code>false</code></td></tr><tr><td><code>muted</code></td><td>Whether to open the video in fullscreen as muted.</td><td><code>false</code></td></tr><tr><td><code>pip</code></td><td><p><code>true | false</code></p><p>Picture in picture mode. Please note, <a href="https://docs.firework.com/firework-for-developers/web/integration-guide/enhanced-picture-in-picture#enhanced-picture-in-picture-mode-requirements">necessary prerequisites</a> needs to be met for PIP to work properly.</p></td><td><code>false</code></td></tr><tr><td><code>pip_navigate</code></td><td><p><code>true | false</code></p><p>Disables navigation upon PIP link is clicked. Behaviour suited for single page applications where navigation happens programmatically.</p></td><td><code>true</code></td></tr><tr><td><code>pip_target</code></td><td><code>_self | _blank</code><br>Where to open PIP links. Setting to <code>_blank</code> will open the links in a new tab. Defaults to PIP iframe.</td><td></td></tr><tr><td><code>player_margin</code></td><td>CSS string to specify minimized player distance from the edges. Works in conjunction with <code>player_placement</code></td><td></td></tr><tr><td><code>player_minimize</code></td><td><p><code>true | false</code></p><p>Allow player to be minimized.</p></td><td><code>true</code></td></tr><tr><td><code>player_placement</code></td><td><p><code>top-left | top-right | bottom-right | bottom-left</code></p><p>Position of the minimized video player.</p></td><td><code>bottom-right</code></td></tr><tr><td><code>player_fullscreen</code></td><td><code>true | false</code><br>Showing of Fullscreen button in player’s header</td><td><code>true</code></td></tr><tr><td><code>product_card</code></td><td><p><code>true | false</code></p><p>Whether to display product card carousel.</p></td><td><code>true</code></td></tr><tr><td><code>reset_transform</code></td><td><p><code>fullscreen | always | never</code></p><p>Removes CSS transform and relative position from ancestor elements. Transform and relative position present on the parent elements will cause the creation of a new <a href="https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Positioning/Understanding_z_index/The_stacking_context">stacking context</a> which will screw up with <a href="https://philipwalton.com/articles/what-no-one-told-you-about-z-index/">z-indexes</a>. Setting <code>reset_transform</code> to <code>always</code> is usually the solution to the missing floating PIP player.</p></td><td></td></tr><tr><td><code>share</code></td><td><p><code>hash | query | false</code> Similar to router. Share link in player will be yours url instead of "fw.tv". Can be used independently of router settings.<br><code>hash</code> - uses hash # portion of your page url</p><p><code>query</code> - uses query ? search parameter<br><code>false</code> - hides the share button on player</p></td><td></td></tr><tr><td><code>share_template</code></td><td>URL template to be used as a share link base along with the <code>share</code> attribute. Example: <code>https://example.com/videos?utm-source=fw-share</code></td><td></td></tr><tr><td>player_unmute</td><td><code>true | false</code><br>Show/hide any unmute related UI elements</td><td>false</td></tr><tr><td></td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-for-developers/web/integration-guide/player/player-attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
